/* extract and pad 2nd block in .tap file
 * PD by RJM 2003
 */

#include <stdio.h>

unsigned char buf[65536];

int main(void)
{
int c,siz,pad;

while((c=getchar())!=EOF)
  {
  siz=c+256*getchar();
  
  getchar();	/* drop flag byte */
  
  fread(buf,1,siz-2,stdin);
  if(siz>=250 && siz!=436)	/* 436 kludge for TE2 */
    {
    siz-=2;
    pad=512;
    if(siz>pad) pad=1024;
    if(siz>pad) pad=2048;
    if(siz>pad) pad=4096;
    fprintf(stderr,"%4d bytes, padded to %d\n",siz,pad);
    fwrite(buf,1,siz,stdout);
    if(siz<pad)
      {
      memset(buf,0,pad-siz);
      fwrite(buf,1,pad-siz,stdout);
      }
    break;
    }
  
  getchar();	/* drop `checksum' */
  }

exit(0);
}
